Subscriptions
List subscriptions
Lists your subscriptions, newest first. Rate limit: 60 per minute per API key, shared with the other endpoints that have this limit.
GET
bearerAuthheader
AuthorizationBearer <token>A live API key, sk_live_ followed by 32 base58 characters.
limit?integerNumber of items per page.
Range
1 <= value <= 100Default
20starting_after?stringId of the last item of the previous page. Returns the items after it.
Length
1 <= lengthOne page of subscriptions.
application/json- response
object*stringdata*array<>has_more*booleancurl -X GET 'https://example.com/api/v1/subscriptions'Example Response
{ "object": "list", "data": [ { "id": "sub_2mQ8vT4kW9xL3pN7rB5s", "object": "subscription", "status": "active", "customer_email": "string", "amount": "string", "currency": "USD", "interval": "week", "description": "string", "next_invoice_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z" } ], "has_more": true}